# Uses of Class
javax.imageio.metadata.IIOInvalidTreeException

Packages that use IIOInvalidTreeException
Package
Description
javax.imageio.metadata
A package of the Java Image I/O API dealing with reading and writing metadata.
javax.imageio.plugins.tiff
Public classes used by the built-in TIFF plug-ins.

## Uses of IIOInvalidTreeException in javax.imageio.metadata

Methods in javax.imageio.metadata that throw IIOInvalidTreeException
Modifier and Type
Method
Description
`abstract void`
IIOMetadata.`mergeTree(String formatName, Node root)`
Alters the internal state of this `IIOMetadata` object from a tree of XML DOM `Node`s whose syntax is defined by the given metadata format.
`void`
IIOMetadata.`setFromTree(String formatName, Node root)`
Sets the internal state of this `IIOMetadata` object from a tree of XML DOM `Node`s whose syntax is defined by the given metadata format.

## Uses of IIOInvalidTreeException in javax.imageio.plugins.tiff

Methods in javax.imageio.plugins.tiff that throw IIOInvalidTreeException
Modifier and Type
Method
Description
`static TIFFDirectory`
TIFFDirectory.`createFromMetadata(IIOMetadata tiffImageMetadata)`
Creates a `TIFFDirectory` instance from the contents of an image metadata object.